from sqlalchemy import Boolean, Column, Integer, String, DateTime, Float
from sqlalchemy.orm import relationship

from .database import Base


class Record(Base):
    __tablename__ = 'records'

    id = Column(Integer, primary_key=True, index=True)
    index = Column(Integer)
    region = Column(String, nullable=True)
    area = Column(String, nullable=True)
    town = Column(String, nullable=True)
    street = Column(String, nullable=True)
    start = Column(DateTime)
    finish = Column(DateTime)
    branch = Column(String, nullable=True)
    res = Column(String, nullable=True)
    comment = Column(String, nullable=True)
    building_id = Column(Integer, nullable=True)
    lat = Column(Float, nullable=True)
    lng = Column(Float, nullable=True)
