import datetime
from typing import Optional

from pydantic import BaseModel


class BaseRecord(BaseModel):
    index: Optional[int] = None
    region: Optional[str] = None
    area: Optional[str] = None
    town: Optional[str] = None
    street: Optional[str] = None
    branch: Optional[str] = None
    res: Optional[str] = None
    comment: Optional[str] = None
    building_id: Optional[int] = None
    lat: Optional[float] = None
    lng: Optional[float] = None


class Record(BaseRecord):
    id: int
    start: datetime.datetime
    finish: datetime.datetime


class RecordRequest(BaseRecord):
    start: Optional[datetime.datetime] = None
    finish: Optional[datetime.datetime] = None


class RecordCreate(BaseRecord):
    start: datetime.datetime
    finish: datetime.datetime


class CheckResponse(BaseModel):
    is_outage: bool
    when_finish: Optional[datetime.datetime] = None
