import sys
import schedule
import time

from . import pipeline


def job():
    parser = pipeline()
    parser.save_df(f'./data_{parser.today.strftime("%d-%m-%y_%H:%M")}.csv')


if len(sys.argv) == 2:
    if sys.argv[1] == '-h' or sys.argv[1] == '--help':
        print("python -m parser [<running period in hours>]")
        exit(0)

    interval = int(sys.argv[1])
    if interval > 0:
        schedule.every(interval).hours.do(job)

        job()

        while True:
            schedule.run_pending()
            time.sleep(schedule.idle_seconds())
else:
    job()
